Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gnupg: enable bzip2 support

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 22 Dec 2015 22:28:07 +0100

---
 main/gnupg/APKBUILD | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/main/gnupg/APKBUILD b/main/gnupg/APKBUILD
index 0dcd013..23d9837 100644
--- a/main/gnupg/APKBUILD
+++ b/main/gnupg/APKBUILD
_at_@ -11,7 +11,7 @@ license="GPL"
 options=""
 depends="pinentry"
 makedepends="curl-dev libksba-dev libgcrypt-dev libgpg-error-dev
-	npth-dev zlib-dev libassuan-dev openldap-dev"
+	npth-dev zlib-dev libassuan-dev openldap-dev bzip2-dev"
 subpackages="$pkgname-doc"
 source="ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$_ver.tar.bz2
 	0001-Include-sys-select.h-for-FD_SETSIZE.patch
_at_@ -38,13 +38,14 @@ build() {
 		--infodir=/usr/share/info \
 		--localstatedir=/var \
 		--disable-nls \
+		--enable-bzip2 \
 		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 
 	# install compat symlink
 	ln -s gpg2  "$pkgdir"/usr/bin/gpg
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 22 2015 - 22:28:07 GMT